function Balanis1989BistaticScatteringWidth()
% Duplicate Fig. 11-13 on pg. 607 in [Balanis1989].

addpath('../src');

background = DielectricMaterial(1, 0);
f_0        = 1; %Hz

wavelength = getWavelength(background, f_0);

radius     = [0.05, 0.1, 0.2, 0.4, 0.6];


rho        = 10*wavelength;
phi        = 0:5:180; 

for iRad = 1:length(radius)
    for iPhi = 1:length(phi)
        sensor_location=[rho*cos(phi(iPhi)),
                         rho*sin(phi(iPhi))];
        
        Ez(iPhi) = getConductingCylinderFieldUnderPlaneWave(radius(iRad)*wavelength, ...
                                                          background, ...
                                                          sensor_location, ...
                                                          f_0);
        sigma(iRad, iphi) = 2*pi*rho*Ez*conj(Ez);
    end%iPhi
end%iRad

figure;
plot(phi, sigma(1, :), '--');
hold('on');
plot(phi, sigma(2, :), '-');
plot(phi, sigma(3, :), '-.');
plot(phi, sigma(4, :), '--');
plot(phi, sigma(5, :), '-');

set(gca, 'xlim', [0, 180], 'ylim', [0.2 15]);
set(gca, 'yscale', 'log', 'ytick', [0.2 0.3 0.5 1.0 2 3 5 10 15]);



